[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# TListWithEvent.Notify

Handles the notification when a value is added to or removed from the list.

## Declaration

Source position: lcltype.pp line 2819

`protected procedure TListWithEvent.Notify(`
`Ptr: Pointer;`
`AnAction: TListNotification`
`); override;`

## Arguments

`Ptr` |  | Untyped pointer to the value for the notification.
`AnAction` |  | Operation performed for the specified value.

## Description

Notify is an overridden method in TListWithEvent. It calls the inherited method to notify registered observers of the change to the list. It signals the OnChange event handler (when assigned) using the values in Ptr and AnAction as arguments.

## See also

TList.Add
TList.Delete
TList.Extract